# Get column

Gets the definition of the specified column. 

> Note: If you need to get the values of individual cells within the column, use Get sheet or Get row.

Endpoint: GET /sheets/{sheetId}/columns/{columnId}
Version: 2.0.0
Security: APIToken, OAuth2

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

  - `columnId` (number, required)
    ID of the sheet column being accessed.

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Query parameters:

  - `level` (integer)
    Specifies whether object data types, such as multi-contact data are returned in a backwards-compatible, text format in text/number columns.

- Set level=0 (default) to use text/number columns for multi-contact data and multi-picklist data.
- Set level=1 to use multiple-entry contact list columns for multi-contact data; multi-picklist data is returned in text/number columns.
- Set level=2 to use multiple-entry contact list columns for multi-contact data and use multiple-entry picklist columns for multi-picklist data.

## Response 200 fields (application/json):

  - `body` (Text/number column (object) or Auto number column (object) or Checkbox column (object) or Contact list column (object) or Created by column (object) or Created date column (object) or Date column (object) or Abstract datetime column (object) or Dropdown list column (object) or Duration column (object) or Modified by column (object) or Modified date column (object) or Multi-contact list column (object) or Multi-dropdown list column (object) or Percent complete column (object) or Predecessor column (object) or Assigned resource contact column (object) or Assigned resource text column (object) or Percent allocation column (object) or Symbol column (object)) — one of:
    - Text/number column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =[Column A]@row + [Column B]@row
      - `primary` (boolean)
        If set to true, the column is the sheet's Primary Column. This property is returned only if the property is set to true.
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.
        Enum: "GANTT_DISPLAY_LABEL"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "TEXT_NUMBER"
      - `validation` (boolean, required)
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: 0
    - Auto number column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `autoNumberFormat` (object, required)
        Specifies how to format values for an auto-generated numbers column.
        Example: {"fill":"","prefix":"","startingNumber":1,"suffix":""}
      - `autoNumberFormat.fill` (string)
        Indicates zero-padding. It must be between 0 and 10 "0" (zero) characters.
      - `autoNumberFormat.prefix` (string)
        The prefix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
      - `autoNumberFormat.startingNumber` (number)
        The starting number for the auto-ID.
        Example: 1
      - `autoNumberFormat.suffix` (string)
        The suffix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
      - `systemColumnType` (string, required)
        If this property is set, the column contains auto-generated numbers. Its [Auto-number format object](/api/smartsheet/openapi/schemas/autonumberformat) describes the mask used to generate column values.
        Enum: "AUTO_NUMBER"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Checkbox column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: "=ISODD([ID]@row)"
      - `symbol` (string)
        A checkbox column can use box (default), flag, or star symbols. See [Symbol Columns](/api/smartsheet/openapi/columns).

If the box symbol is used, the symbol property is absent.
        Enum: "FLAG", "STAR"
      - `tags` (array)
        If present, true cell values indicate completed tasks. This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
        Enum: "CARD_DONE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "CHECKBOX"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Contact list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `contactOptions` (array)
        Array of ContactOption objects to specify a pre-defined list of values for the column.
        Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
      - `contactOptions.email` (string)
        A parsable email address.
      - `contactOptions.name` (string)
        Can be a user's name, display name, or free text.
      - `formula` (string)
        The formula for the column, if set.

For example: =IF(Department@row = "Engineering", "jane.doe@company.com", IF(Department@row = "Marketing", "john.smith@company.com", "admin@company.com"))
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "CONTACT_LIST"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Created by column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The contact represents the user who created the row.
        Enum: "CREATED_BY"
      - `type` (string, required)
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Created date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The system row creation datetime type.
        Enum: "CREATED_DATE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "DATETIME"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =TODAY(-1)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "DATE"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Abstract datetime column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =TODAY(-1)
      - `tags` (array)
        This property is only present for dependency-enabled project sheets. It indicates what the date represents in terms of the dependency-enabled project.
        Enum: "GANTT_START_DATE", "GANTT_END_DATE", "BASELINE_START_DATE", "BASELINE_END_DATE", "CALENDAR_START_DATE", "CALENDAR_END_DATE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "ABSTRACT_DATETIME"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Dropdown list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        A formula that returns a string value that matches one of the symbol options exactly (for example, "Red", "Yellow", "Green").

For example: =[Literal Rating]@row
      - `options` (array, required)
        An array of the options available to use in the column.
        Example: ["Option 1","Option 2","Option n"]
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "PICKLIST"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Duration column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        This property is only present in dependency-enabled project sheets. It indicates what the duration represents in terms of the dependency-enabled project.
        Enum: "GANTT_DURATION", "BASELINE_VARIANCE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "DURATION"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Modified by column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        If specified, the contact represents the user who created the row or last modified it.
        Enum: "MODIFIED_BY"
      - `type` (string, required)
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Modified date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The system row modification datetime type.
        Enum: "MODIFIED_DATE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Created date column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Multi-contact list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `contactOptions` (array)
        Array of ContactOption objects to specify a pre-defined list of values for the column.
        Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
      - `contactOptions.email` (string)
        A parsable email address.
      - `contactOptions.name` (string)
        Can be a user's name, display name, or free text.
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "MULTI_CONTACT_LIST"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: 1
    - Multi-dropdown list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        A formula that returns a string value that matches a combination of the symbol options exactly, and include new line separators between multiple values.

For example: =JOIN(Range1@row:Range3@row, CHAR(10))

Important: To match multiple symbol option values, the return string must use a new line separator (that is, CHAR(10)) between symbol option values.
      - `options` (array, required)
        An array of the options available to use in the column. A cell value in this column can contain any number of these options.
        Example: ["Option 1","Option 2","Option n"]
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "MULTI_PICKLIST"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: 2
    - Percent complete column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
        Enum: "GANTT_PERCENT_COMPLETE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Predecessor column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        Enum: "GANTT_PREDECESSOR"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "PREDECESSOR"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Assigned resource contact column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `options` (array, required)
        An array of contacts available to use in the column. A cell value in this column can contain one contact.
        Example: ["jane.doe@smartsheet.com","firstname.lastname@smartsheet.com"]
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.
        Enum: "GANTT_ASSIGNED_RESOURCE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Assigned resource text column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `primary` (boolean)
        Returned only if the column is the Primary Column (value = true).
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.
        Enum: same as `tags` in "Assigned resource contact column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Percent allocation column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
        Enum: "GANTT_ALLOCATION"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Symbol column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        A formula that returns a string value that matches one of the symbol options exactly (for example, "Red", "Yellow", "Green").

For example: =[Literal Rating]@row
      - `options` (array, required)
        An array of the options available to use in the column.

Note: All applicable options values are set automatically when you specify the symbol.

Important: You can't specify or update options at the same time you're specifying symbol. So leave it unspecified when you're creating a column or updating its symbol. If needed, you can update options in a separate call.
        Example: []
      - `symbol` (string)
        Specifies any type of symbol the column uses. For details and examples, see [Symbol Columns](/api/smartsheet/openapi/columns).
        Enum: "FLAG", "STAR", "HARVEY_BALLS", "PRIORITY", "RYG", "PRIORITY_HML", "DECISION_SYMBOLS", "DECISION_SHAPES", "VCR", "RYGB", "RYGG", "WEATHER", "PROGRESS", "ARROWS_3_WAY", "ARROWS_4_WAY", "ARROWS_5_WAY", "DIRECTIONS_3_WAY", "DIRECTIONS_4_WAY", "SKI", "SIGNAL", "STAR_RATING", "HEARTS", "MONEY", "EFFORT", "PAIN"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Dropdown list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)


